import { Container } from './Container.ts'
import Instantiable from './type/Instantiable.ts'
import { DependencyKey } from './type/DependencyKey.ts'

declare global {
    var container: Container
    interface Window { container: any }
}

if ( !window.container ) {
    window.container = new Container()
}

const container = window.container
const make = <T>(target: Instantiable<T>|DependencyKey, ...parameters: any[]) => window.container.make(target, ...parameters)
export { container, make }
